---@meta

---@class FSignificanceEntry
---@field Tag FGameplayTag
---@field Distance float
local FSignificanceEntry = {}



---@class USignificanceComponent : UActorComponent
---@field OnSignificanceUpdated FSignificanceComponentOnSignificanceUpdated
---@field SignificanceDistances TArray<FSignificanceEntry>
local USignificanceComponent = {}

---@return FGameplayTag
function USignificanceComponent:GetCurrentSignificance() end


